import request from '@/utils/request'

// 查询用户积分记录列表
export function listRecord(query) {
  return request({
    url: '/exam/points/record/list',
    method: 'get',
    params: query
  })
}

// 查询我的积分记录列表
export function myListRecord(query) {
  return request({
    url: '/exam/points/record/list/my',
    method: 'get',
    params: query
  })
}

// 查询用户积分记录详细
export function getRecord(id) {
  return request({
    url: '/exam/points/record/' + id,
    method: 'get'
  })
}

// 新增用户积分记录
export function addRecord(data) {
  return request({
    url: '/exam/points/record',
    method: 'post',
    data: data
  })
}

// 修改用户积分记录
export function updateRecord(data) {
  return request({
    url: '/exam/points/record',
    method: 'put',
    data: data
  })
}

// 删除用户积分记录
export function delRecord(id) {
  return request({
    url: '/exam/points/record/' + id,
    method: 'delete'
  })
}



// 查询用户积分记录列表
export function creditScoreList(query) {
  return request({
    url: '/exam/points/record/getPointsLoglist',
    method: 'get',
    params: query
  })
}

// 查询用户积分记录列表
export function rewardScoreList(query) {
  return request({
    url: '/exam/points/record/getPointsLoglistByReward',
    method: 'get',
    params: query
  })
}

// 查询实验室进出记录列表
export function getMyPointsLoglist(query) {
  return request({
    url: '/exam/points/record/getMyPointsLoglist',
    method: 'get',
    params: query
  })
}

// 奖励分页面个人信息
export function getMyPointsLogInfo(query) {
  return request({
    url: '/exam/points/record/getMyPointsLogInfo',
    method: 'get',
    params: query
  })
}
